[arch-commits] CVS update of extra/office/psutils (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Apr 27 14:29:33 EDT 2007


    Date: Friday, April 27, 2007 @ 14:29:33
  Author: jgc
    Path: /home/cvs-extra/extra/office/psutils

Modified: PKGBUILD (1.8 -> 1.9)

upgpkg: psutils p17-4
Change URL to homepage and source, provide psutils-lprng, which is useless now.


----------+
 PKGBUILD |   36 ++++++++++++++++++++----------------
 1 file changed, 20 insertions(+), 16 deletions(-)


Index: extra/office/psutils/PKGBUILD
diff -u extra/office/psutils/PKGBUILD:1.8 extra/office/psutils/PKGBUILD:1.9
--- extra/office/psutils/PKGBUILD:1.8	Tue Jul 11 14:58:04 2006
+++ extra/office/psutils/PKGBUILD	Fri Apr 27 14:29:33 2007
@@ -1,28 +1,32 @@
-# $Id: PKGBUILD,v 1.8 2006/07/11 18:58:04 andyrtr Exp $
+# $Id: PKGBUILD,v 1.9 2007/04/27 18:29:33 jgc Exp $
 # Maintainer: eric <eric at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
  
 pkgname=psutils
 pkgver=p17
-pkgrel=3
+pkgrel=4
 pkgdesc="A set of postscript utilities"
 arch=(i686 x86_64)
-source=(ftp://ftp.dcs.ed.ac.uk/pub/ajcd/$pkgname-$pkgver.tar.gz \
-  psutils-1.17.diff)
+license=('custom')
 depends=('glibc' 'ghostscript')
-url="ftp://ftp.dcs.ed.ac.uk/pub/ajcd/"
+provides=('psutils-lprng')
+replaces=('psutils-lprng')
+url="http://www.tardis.ed.ac.uk/~ajcd/psutils/index.html"
+source=(ftp://ftp.knackered.org/pub/psutils/${pkgname}-${pkgver}.tar.gz \
+        psutils-1.17.diff)
 md5sums=('b161522f3bd1507655326afa7db4a0ad' '2b49e9e796000b42f42804d4b50a2be1')
 
 build() {
-  cd $startdir/src/$pkgname
-  patch -Np1 -i ../../psutils-1.17.diff
-  mv Makefile.unix Makefile
-  mkdir -p $startdir/pkg/usr/bin $startdir/pkg/usr/include/psutils \
-    $startdir/pkg/usr/man/man1
-  make BINDIR=$startdir/pkg/usr/bin \
-    INCLUDEDIR=$startdir/pkg/usr/include/psutils PERL=/usr/bin/perl \
-    MANDIR=$startdir/pkg/usr/man/man1 || return 1
-  make BINDIR=$startdir/pkg/usr/bin \
-    INCLUDEDIR=$startdir/pkg/usr/include/psutils PERL=/usr/bin/perl \
-    MANDIR=$startdir/pkg/usr/man/man1 install
+  cd ${startdir}/src/${pkgname}
+  patch -Np1 -i ${startdir}/src/psutils-1.17.diff
+  mkdir -p ${startdir}/pkg/usr/bin ${startdir}/pkg/usr/include/psutils \
+    ${startdir}/pkg/usr/man/man1
+  make -f Makefile.unix BINDIR=${startdir}/pkg/usr/bin \
+    INCLUDEDIR=${startdir}/pkg/usr/include/psutils PERL=/usr/bin/perl \
+    MANDIR=${startdir}/pkg/usr/man/man1 || return 1
+  make -f Makefile.unix BINDIR=${startdir}/pkg/usr/bin \
+    INCLUDEDIR=${startdir}/pkg/usr/include/psutils PERL=/usr/bin/perl \
+    MANDIR=${startdir}/pkg/usr/man/man1 install
+  mkdir -p ${startdir}/pkg/usr/share/licenses/${pkgname}
+  install -m644 LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/
 }




More information about the arch-commits mailing list